<?php
/**********************************************************************
    Copyright (C) FrontAccounting, LLC.
	Released under the terms of the GNU General Public License, GPL, 
	as published by the Free Software Foundation, either version 3 
	of the License, or (at your option) any later version.
    This program is distributed in the hope that it will be useful,
    but WITHOUT ANY WARRANTY; without even the implied warranty of
    MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE.  
    See the License here <http://www.gnu.org/licenses/gpl-3.0.html>.
***********************************************************************/
class store_app extends application
{
	function __construct()
	{

		parent::__construct("store", _($this->help_context = "&Store"));

		
			$this->add_module(_("Transactions"));
			$this->add_lapp_function(0, _("Store Rrquest &Entry"),
				"dimensions/dimension_entry.php?", 'SA_STORE_REQUEST', MENU_ENTRY);
			// $this->add_lapp_function(0, _("&Outstanding Dimensions"),
			// 	"dimensions/inquiry/search_dimensions.php?outstanding_only=1", 'SA_DIMTRANSVIEW', MENU_TRANSACTION);

			$this->add_module(_("Inquiries and Reports"));
			$this->add_lapp_function(1, _("Store Request &Inquiry"),
				"dimensions/inquiry/search_dimensions.php?", 'SA_STORE_REQUEST_INQUIRY', MENU_INQUIRY);

			// $this->add_rapp_function(1, _("Dimension &Reports"),
			// 	"reporting/reports_main.php?Class=4", 'SA_DIMENSIONREP', MENU_REPORT);
			
			$this->add_module(_("Maintenance"));
			$this->add_lapp_function(2, _("Dimension &Tags"),
				"admin/tags.php?type=dimension", 'SA_STORE_REQUEST_INQUIRY', MENU_MAINTENANCE);

			$this->add_extensions();
		
	}
}

